set grid
set autoscale x
set autoscale y
set terminal png size 800,400

graph = sprintf("%s vs %s: ANX UTC Differences",filetype1,filetype2)
set title graph
set xlabel "Orbit Number"
set ylabel "ANX UTC Differences [s]"
set output "anx_utc_diff_2sat.png"
plot filename  using 1:3 notitle with points lt 1

graph = sprintf("%s vs %s: ANX MLST Differences",filetype1,filetype2)
set title graph
set ylabel "ANX MLST Differences [s]"
set output "anx_mlst_diff_2sat.png"
plot filename using 1:4 notitle with points lt 2

graph = sprintf("%s vs %s: ANX Longitude Differences",filetype1,filetype2)
set title graph
set ylabel "ANX Longitude Differences [deg]"
set output "anx_lon_diff_2sat.png"
plot filename using 1:5 notitle with points lt 3

graph = sprintf("%s vs %s: ANX Across-Track Differences",filetype1,filetype2)
set title graph
set ylabel "ANX Across-Track Differences [km]"
set output "anx_across_diff_2sat.png"

plot filename using 1:($5*111.0) notitle with points lt 8

graph = sprintf("%s vs %s: Mean Semi-major Axis offset vs nominal",filetype1,filetype2)
set title graph
set xlabel " UTC Time in MJD 2000 [decimal days]"
set ylabel "Mean SMA - Nominal Mean SMA [km]"
set output "sma_file1_vs_file2_2sat.png"
set key left top
plot filename1 using 4:($9-sma1)/1000 title filetype1 with points lt 7, \
filename2 using 4:($9-sma2)/1000 title filetype2 with points lt 4

graph = sprintf("%s vs %s: Mean Semi-major Axis Differences",filetype1,filetype2)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean SMA Differences [km]"
set key left bottom
set output "sma_diff_2sat.png"
plot  filename using 1:($6/1000) notitle with points lt 3

graph = sprintf("%s vs %s: Mean Inclination Differences",filetype1,filetype2)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean Inclination Differences [deg]"
set key left top
set output "inc_diff_2sat.png"
plot  filename using 1:8 notitle with points lt 7

graph = sprintf("%s vs %s: Mean Eccentricity Differences",filetype1,filetype2)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean Eccentricity Differences [-]"
set key left top
set output "ecc_diff_2sat.png"
plot  filename using 1:7 notitle with points lt 8

graph = sprintf("%s: ANX MLST offset vs nominal",filetype2)
set title graph
set ylabel "ANX MLST - Nominal MLST [s]"
set output "anx_mlst_file2_vs_nominal_2sat.png"
plot filename2 using 1:($6-mlst2)*3600 notitle with points lt 4

graph = sprintf("%s: ANX MLST",filetype2)
set title graph
set ylabel "ANX MLST [h]"
set output "anx_mlst_file2_2sat.png"
plot filename2 using 1:6 notitle with points lt 5

graph = sprintf("%s: Mean Semi-major Axis offset vs nominal",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean SMA - Nominal Mean SMA [km]"
set output "sma_file1_2sat.png"
plot filename1 using 1:($9-sma1)/1000 notitle with points lt 7

graph = sprintf("%s: ANX MLST offset vs nominal",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "ANX MLST - Nominal MLST [s]"
set output "anx_mlst_file1_vs_nominal_2sat.png"
plot filename1 using 1:($6-mlst1)*3600 notitle with points lt 10

graph = sprintf("%s: ANX MLST",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "ANX MLST [h]"
set output "anx_mlst_file1_2sat.png"
plot filename1 using 1:6 notitle with points lt 6

set autoscale x
set autoscale y
