set grid
set autoscale x
set autoscale y
set terminal png size 800,400

graph = sprintf("%s: Mean Semi-major Axis offset vs nominal",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean SMA - Nominal Mean SMA [km]"
set key left bottom
set output "sma_file_vs_nominal.png"
plot  filename1 using 1:($9-sma)/1000 notitle with points lt 4

graph = sprintf("%s: Mean Inclination offset vs nominal",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean Inc - Nominal Mean Inc [deg]"
set key left top
set output "inc_file_vs_nominal.png"
plot  filename1 using 1:($11-inc) notitle with points lt 2

graph = sprintf("%s: Mean Eccentricity  offset vs nominal",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean Ecc - Frozen Mean Ecc"
set key left top
set output "ecc_file_vs_nominal.png"
plot  filename1 using 1:($10-ecc) notitle with points lt 9

graph = sprintf("%s: ANX MLST offset vs nominal",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "ANX MLST - Nominal MLST[s]"
set key left bottom
set output "anx_mlst_file_vs_nominal.png"
plot  filename1 using 1:($6-mlst)*3600 notitle with points lt 5

graph = sprintf("%s: Mean Inclination",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean Inclination [deg]"
set key left top
set output "inc_file.png"
plot  filename1 using 1:11 notitle with points lt 7

graph = sprintf("%s: Mean Eccentricity",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean Eccentricity"
set key left top
set output "ecc_file.png"
plot  filename1 using 1:10 notitle with points lt 8

graph = sprintf("%s: ANX MLST",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "ANX MLST [h]"
set key left bottom
set output "anx_mlst_file.png"
plot  filename1 using 1:6 notitle with points lt 2

graph = sprintf("%s: Mean Semi-major Axis",filetype1)
set title graph
set xlabel "Orbit Number"
set ylabel "Mean SMA [km]"
set key left bottom
set output "sma_file.png"
plot  filename1 using 1:($9/1000) notitle with points lt 3

set autoscale x
set autoscale y

set angles degrees
graph = sprintf("%s: Mean Eccentricity Vector",filetype1)
set title graph
#set xrange [-0.002:0.002]
#set yrange [-0.002:0.002]
set xlabel "e*cos(w)"
set ylabel "e*sin(w)"
set key left top
set output "ecc_vector_file.png"
plot  filename1 using ($10*cos($12)):($10*sin($12)) notitle with points lt 4

set autoscale x
set autoscale y
